Ubuntu

Firefox crashes when attempting to load Firebug 1.5 alphas

Reported by Sir_Brizz on 2009-10-12
476
This bug affects 96 people
Affects Status Importance Assigned to Milestone
Mozilla Firefox
Fix Released
Low
3.5
Fix Released
Undecided
Unassigned
3.6
Fix Released
Undecided
Unassigned
firefox-3.5 (Ubuntu)
Low
Unassigned
firefox (Ubuntu)
Low
Unassigned
iceweasel (Debian)
Fix Released
Unknown

Bug Description

Binary package hint: firefox

I am trying to use alpha versions for the latest Firebug, 1.5. These can be retrieved from:

http://getfirebug.com/releases/firebug/1.5X/

I went back several versions and found one that works, so there is some regression in Firebug itself causing the browser to crash when Firebug 1.5 is even installed (not even operating), however they refuse to work with me since the version shipping with Ubuntu has no crash reporter and thus no way to determine what exactly is causing the crash.

I am happy to provide any information helping me to reach a result. I am using Kubuntu Karmic 64-bit and really don't want to go through the annoyance of installing 32-bit Firefox with 32-bit flash and all of that. I have 32-bit firefox without flash running and Firebug 1.5 does indeed work perfectly fine in there, so there is some specific problem with Ubuntu builds of Firefox 3.5.3 causing this issue.

Please tell me what data I can provide!

Created an attachment (id=394095)
Patch to fix this issue

Ask for review from one of the JSD module owners.

The list of potential reviewers can be found at http://www.mozilla.org/owners.html#javascript-debugger-backend

(From update of attachment 394095)
There ya go. Sorry, I was confused because your patch review system is very different from what I'm used to.

PS: Josh Soref's email on the link above is <email address hidden>, but Bugzilla doesn't accept that as a reviewer.

(From update of attachment 394095)
Needs approval...

Sir_Brizz (bj-cardon) wrote :

Binary package hint: firefox

I am trying to use alpha versions for the latest Firebug, 1.5. These can be retrieved from:

http://getfirebug.com/releases/firebug/1.5X/

I went back several versions and found one that works, so there is some regression in Firebug itself causing the browser to crash when Firebug 1.5 is even installed (not even operating), however they refuse to work with me since the version shipping with Ubuntu has no crash reporter and thus no way to determine what exactly is causing the crash.

I am happy to provide any information helping me to reach a result. I am using Kubuntu Karmic 64-bit and really don't want to go through the annoyance of installing 32-bit Firefox with 32-bit flash and all of that. I have 32-bit firefox without flash running and Firebug 1.5 does indeed work perfectly fine in there, so there is some specific problem with Ubuntu builds of Firefox 3.5.3 causing this issue.

Please tell me what data I can provide!

Micah Gersten (micahg) wrote :

Sorry, but we cannot help with an alpha version of Firebug. I had to disable Firebug as it was causing issues. I suggest trying Firebug 1.4.2 as it should be compatible with Firefox 3.5.3. If version 1.4.2 doesn't work, please let us know. Please report any other issue you may find.

affects: firefox (Ubuntu) → firefox-3.5 (Ubuntu)
Changed in firefox-3.5 (Ubuntu):
status: New → Invalid
Sir_Brizz (bj-cardon) wrote :

Okay... so the question is, where do I go for help?

Firebug refuses to help me because this is a custom build of Firefox that doesn't have a Crash Reporter and so they can't find where the issue is.

Firefox won't help me because they don't support custom builds of Firefox (all they told me was that they should figure out a way to get Crash Reporter working for custom builds).

And now the package maintainer won't help me because I'm using an "unstable" version of the extension.

As I said in my report, this is working fine in the 32-bit Mozilla release, and thus it is highly unlikely that the Firebug team will ever try to diagnose and resolve this issue before 1.5 releases. The 1.5 alpha builds are extremely stable and have some features that really make my life easier.

Micah Gersten (micahg) wrote :

Can you generate an apport crash with Karmic? You can submit the stack trace to the Firebug team.

Oded Arbel (oded-geek) wrote :

I have the same problem - Firefox 3.5.3 from Karmic crashes after upgrading to Firebug 1.5 beta 1. Using the Mozilla provided official release works fine - Firebug 1.5beta runs perfectly.

The problem is that:
* Firebug development team won't support a custom build with no crash reporter, especially as the official build does not crash. They claim (very justifiably) that they cannot crash Firefox due to a bug on their code.
* Firefox development team won't support a custom build that has a crash when their official build does not.
* Understandably Ubuntu developers won't support crashes caused by external alpha-quality software.

As Firebug has gone into beta recently, and as the problem is with the Ubuntu build - can someone please look into it? I will provide a stack trace in the next comment.

Also see discussion here: http://groups.google.com/group/firebug/browse_thread/thread/ef1d059e0b373127/e57e940cfb38688d?lnk=gst&q=crash+1.5+3.5#e57e940cfb38688d

Oded Arbel (oded-geek) wrote :
Download full text (9.5 KiB)

Here is the result of running Firefox 3.5.3 with Firebug 1.5b1 enabled, under gdb:

Starting program: /usr/lib/firefox-3.5.3/firefox
[Thread debugging using libthread_db enabled]
[New Thread 0x7fffe6bf0910 (LWP 28721)]
[New Thread 0x7fffe61e5910 (LWP 28722)]
[New Thread 0x7fffe53ff910 (LWP 28723)]
[New Thread 0x7fffe40c5910 (LWP 28724)]
[Thread 0x7fffe40c5910 (LWP 28724) exited]
[New Thread 0x7fffe40c5910 (LWP 28725)]
[New Thread 0x7fffe36ff910 (LWP 28726)]
[Thread 0x7fffe40c5910 (LWP 28725) exited]
[New Thread 0x7fffe40c5910 (LWP 28727)]
[New Thread 0x7fffde0b9910 (LWP 28739)]
[New Thread 0x7fffdd8b8910 (LWP 28740)]
[Thread 0x7fffe36ff910 (LWP 28726) exited]

Program received signal SIGSEGV, Segmentation fault.
js_PCToLineNumber (cx=0x7fffdc921400, script=0x7ffff66281c0, pc=0xf66282c9 <Address 0xf66282c9 out of bounds>) at jsscript.cpp:1808
1808 jsscript.cpp: No such file or directory.
 in jsscript.cpp
Current language: auto
The current source language is "auto; currently c++".
(gdb) bt
#0 js_PCToLineNumber (cx=0x7fffdc921400, script=0x7ffff66281c0, pc=0xf66282c9 <Address 0xf66282c9 out of bounds>) at jsscript.cpp:1808
#1 0x00007ffff53a3594 in jsd_GetClosestLine (jsdc=0x7fffdcff0680, jsdscript=0x7fffdc839be0, pc=4133651145) at jsd_scpt.c:523
#2 0x00007ffff53a96cd in jsds_FilterHook (jsdc=0x7fffdcff0680, state=<value optimized out>) at jsd_xpc.cpp:400
#3 0x00007ffff53aa2f3 in jsds_ExecutionHookProc (jsdc=0x7fffdcff0680, jsdthreadstate=0x7fffdc838a40, type=4, callerdata=<value optimized out>,
    rval=0x7fffffff7298) at jsd_xpc.cpp:680
#4 0x00007ffff53a26ef in jsd_CallExecutionHook (jsdc=0x7fffdcff0680, cx=<value optimized out>, type=4133651145,
    hook=0x7ffff53aa1c4 <jsds_ExecutionHookProc>, hookData=0x0, rval=<value optimized out>) at jsd_hook.c:177
#5 0x00007ffff63831f9 in js_Interpret (cx=0x7fffe49ea800) at jsinterp.cpp:7227
#6 0x00007ffff638f34d in js_Invoke (cx=0x7fffe49ea800, argc=<value optimized out>, vp=0x7fffe46651a0, flags=<value optimized out>) at jsinterp.cpp:1394
#7 0x00007ffff638f6a4 in js_InternalInvoke (cx=0x7fffe49ea800, obj=0x7fffe49c9400, fval=140737028854912, flags=0, argc=1, argv=<value optimized out>,
    rval=0x7fffffff75d0) at jsinterp.cpp:1447
#8 0x00007ffff6357836 in JS_CallFunctionValue (cx=0x7fffdc921400, obj=0x7ffff66281c0, fval=4133651145, argc=<value optimized out>,
    argv=<value optimized out>, rval=<value optimized out>) at jsapi.cpp:5187
#9 0x00007ffff4d3e841 in nsXPCWrappedJSClass::CallQueryInterfaceOnJSObject (this=<value optimized out>, ccx=..., jsobj=0x7fffe49c9400,
    aIID=<value optimized out>) at xpcwrappedjsclass.cpp:294
#10 0x00007ffff4d3ef10 in nsXPCWrappedJSClass::DelegatedQueryInterface (this=0x7fffe6e910c0, self=0x7fffe54a5d30, aIID=..., aInstancePtr=0x7fffffff77d8)
    at xpcwrappedjsclass.cpp:819
#11 0x00007ffff54c4312 in nsCOMPtr_base::assign_from_qi (this=0x7fffffff7910, qi=..., iid=...) at nsCOMPtr.cpp:96
#12 0x00007ffff4d43723 in nsCOMPtr<nsIClassInfo>::operator= (ccx=..., Object=<value optimized out>, Scope=0x7fffe6ec3180, Interface=0x7fffdc951380,
    cache=0x0, isGlobal=<value optimized out>, resultWrapper=0x7fffffff7a10) at ../../../../dist/include/xpcom/nsCOMPtr...

Read more...

Changed in iceweasel (Debian):
status: Unknown → New
Changed in iceweasel (Debian):
status: New → Confirmed

Doesn't block as 64-bit isn't a supported platform, but has been baking forever, so I'm fine to take the patch on the 1.9.2 branch.

Possibly related to the other Firebug 64-bit crasher, bug 513556?

*** Bug 513556 has been marked as a duplicate of this bug. ***

Needs branch landing still. Who will do the deed?

/be

Changed in iceweasel (Debian):
status: Confirmed → Fix Released
Micah Gersten (micahg) wrote :

I wanted to updtae everyone that this bug has been fixed upstream. The fix should be in Firefox 3.6 for sure. I'll see about getting this in Firefox 3.5

Changed in firefox-3.5 (Ubuntu):
importance: Undecided → Low
status: Invalid → Triaged
Changed in firefox:
status: Unknown → Fix Released
Micah Gersten (micahg) on 2009-11-27
Changed in firefox:
milestone: none → 3.6

(From update of attachment 394095)
Approved for 1.9.1.8, a=dveditz for release-drivers

Micah Gersten (micahg) on 2009-12-18
Changed in firefox:
milestone: 3.6 → 3.5.8

*** Bug 540546 has been marked as a duplicate of this bug. ***

*** Bug 540731 has been marked as a duplicate of this bug. ***

confiq (confiq) wrote :

Hi Guys.
Just wanted to confirm that bug still exist on Firefox/3.5.7.
Is there any updates soon or we should use external repository for this?

Sir_Brizz (bj-cardon) wrote :

It's not marked fixed prior to 3.5.8 or 3.6, whichever comes first. I also thought I should point out that 1.5 stable is released so lots of Ubuntu users are going to be breaking as the update gets pushed out.

T4NK32 (tanker) on 2010-01-20
Changed in firefox-3.5 (Ubuntu):
status: Triaged → Fix Released
Leon Matthews (leon-matthews) wrote :

Yeah... Came into work this morning, firebug auto-updated to 1.5 and now firefox won't even start. Not great.

Ubuntu 9.10, 64 bit.

Andrew (andrew-rw-robinson) wrote :

This bug is severe. Any updates on when XUL runner 1.9.1.8 / firefox 3.5.8 will be shipped to Karmic to fix this issue?

Micah Gersten (micahg) wrote :

This has not been released in Ubuntu yet.

Changed in firefox-3.5 (Ubuntu):
status: Fix Released → Triaged

Just hit by this. Go back to Firebug 1.4.5 if you are affected by this, until the new Firefox is released.

http://getfirebug.com/releases/firebug/1.4/

John Vivirito (gnomefreak) wrote :

It will be releaed in 3.5.8. Now when that happens is up to Mozilla but IIRC security releases are normally a month apart (not a confirmed comment) just what i noticed

Thanks for the link Brett, that's great. I'm back in business with the
old version.

Cheers
Roland

Brett Sheffield wrote:
> Just hit by this. Go back to Firebug 1.4.5 if you are affected by this,
> until the new Firefox is released.
>
> http://getfirebug.com/releases/firebug/1.4/
>
>

Micah Gersten (micahg) wrote :

firefox will be the source package for Firefox 3.6, so adding this task

Changed in firefox (Ubuntu):
importance: Undecided → Low
status: New → Triaged

*** Bug 513556 has been marked as a duplicate of this bug. ***

Jarl (jarl-dk) wrote :

Yes this is realy severe now that it also occurs in the official release of firebug 1.5

Sir_Brizz (bj-cardon) wrote :

Firefox 3.6 just shipped. Any ETA on an Ubuntu drop?

Alexander Sack (asac) wrote :

reed said this was never a 3.6 issue ... setting to invalid

Murz (murznn) wrote :

On firefox 3.6 rc2 amd64 firebug 1.5 works good, without crashes. On 3.5.7+nobinonly-0ubuntu0.9.10.1 it crash browser.

confiq (confiq) wrote :

grrr... one of many reasons why to move to chrominum...
btw, chrominum developer tool is also good and it dosen't crash...

Sir_Brizz (bj-cardon) wrote :

Alexander: I assume you mean a Mozilla bug?

confiq: The problem is that the developer tools in WebKit have about 1/10th of the functionality of Firebug 1.5. It's more comparable to Firebug 1.2.

Still waiting for the backport of 3.6.... hoping and praying it comes today :/

Eric Morgan (gemorgan) wrote :

I confirm reverting to firebug 1.4.5 from
http://getfirebug.com/releases/firebug/1.4/
works fine until the new firefox is pushed.

Come on guys. Firebug just auto-updated itself and now if I happen to hit f12 by mistake Firefox crashes. All a web search produces is a pile of hits on everybody sloping shoulders and blaming others.

I don't care. This is just the sort of stupid mess that Windows software gets itself into. I'm using Ubuntu because I want to avoid this. Since this bug seems to have been known about for months, why did it automatically go live on us poor suckers in the last day or so? As far as I can see it's because everybody is saying "well it's not my fault, it's the other two (where the three are Firebug, Firefox and Ubuntu). As I said, I don't care who's fault it is. I do care that my system has auto upgraded to buggy.

The next thing I'm going to do is turn all auto-upgrading off. Which is not what any one wants from a security point of view. Come on, community as a whole. Stop pointing fingers and fix the bugs.

Sir_Brizz (bj-cardon) wrote :

Can we be settled please? Ubuntu provides an UNSUPPORTED build of Firefox for 64 bit machines. Firebugs is not in the business of supporting unsupported software. I finally installed a supported version of firefox and am having no problems.

Marti (intgr) wrote :

@Nick Atty: Who's blaming who?

The bug has had a fix since August 2009, but it was never applied to the Firefox 3.5 branch because back then it only affected Chromebug. The fact that Firebug 1.5 also moved to these APIs caught everyone by surprise. Especially because 64-bit is not officiailly supported by Mozilla.

The patch was applied to Mozilla's Firefox 3.5 branch on December 30, but Mozilla has not released Firefox 3.5.8 yet.
Until then you can use Debian's iceweasel or 32-bit Firefox.

I appreciate the hard work any community software builder does but I have to
point out that the world is screaming for 64bit support. You cannot even buy
a processor that doesn't support it and almost every system I was shopping
for this last week came with 4GB+ RAM and windows 7 64bit was a free option.

Wrong place I know but really. Alienate the whole 64bit community? Maybe
everyone's different but I have no problem running a 64bit ubuntu vbox to
test builds of my software....

On Sat, Jan 23, 2010 at 1:24 PM, Sir_Brizz <email address hidden> wrote:

> Can we be settled please? Ubuntu provides an UNSUPPORTED build of
> Firefox for 64 bit machines. Firebugs is not in the business of
> supporting unsupported software. I finally installed a supported version
> of firefox and am having no problems.
>
> --
> Firefox crashes when attempting to load Firebug 1.5 alphas
> https://bugs.launchpad.net/bugs/449744
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Oded Arbel (oded-geek) wrote :

@nowhere: Your concern is appreciated, but you are barking up the wrong tree - The Mozilla corporation is who at fault here. The fact that they do not support 64bit builds of Firefox and that they are prioritizing 64bit bug fixes very low is not the fault of Canonical or Ubuntu developers.

The only way for Ubuntu developers to work around the problematic Mozilla priorities is to build a rebranded version of Firefox instead of packaging official releases. Except for the obvious branding issues this represents, it also means a whole lot of extra work that I would not dare ask any open-source developer to do for me.

This is a bug report, not a discussion forum. Please only post here if
you have information that will help the developers to resolve the
problem. If they have to wade through chatter, it wastes their
(volunteer) time.

--
__________________________________________________________
Application Hosting | Virtual Servers | Monitoring | Email
Tel: 0131 510 0340 http://www.gladserv.com/

I know, sorry about the rant. Totally misplaced. I really do appreciate the
efforts everyone's making. For almost every occassion things really do work
very well...

On Sun, Jan 24, 2010 at 6:08 AM, Brett Sheffield <email address hidden> wrote:

> This is a bug report, not a discussion forum. Please only post here if
> you have information that will help the developers to resolve the
> problem. If they have to wade through chatter, it wastes their
> (volunteer) time.
>
> --
> __________________________________________________________
> Application Hosting | Virtual Servers | Monitoring | Email
> Tel: 0131 510 0340 http://www.gladserv.com/
>
> --
> Firefox crashes when attempting to load Firebug 1.5 alphas
> https://bugs.launchpad.net/bugs/449744
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Eric Morgan (gemorgan) wrote :

Sorry about the rant. Totally misplaced. I really do appreciate the efforts
everyone's making. For almost every occasion things really do work very
well...

On Sun, Jan 24, 2010 at 5:32 AM, Oded Arbel <email address hidden> wrote:

> @nowhere: Your concern is appreciated, but you are barking up the wrong
> tree - The Mozilla corporation is who at fault here. The fact that they
> do not support 64bit builds of Firefox and that they are prioritizing
> 64bit bug fixes very low is not the fault of Canonical or Ubuntu
> developers.
>
> The only way for Ubuntu developers to work around the problematic
> Mozilla priorities is to build a rebranded version of Firefox instead of
> packaging official releases. Except for the obvious branding issues this
> represents, it also means a whole lot of extra work that I would not
> dare ask any open-source developer to do for me.
>
> --
> Firefox crashes when attempting to load Firebug 1.5 alphas
> https://bugs.launchpad.net/bugs/449744
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Sir_Brizz (bj-cardon) wrote :

The bug is already fixed and committed. We are just waiting for it to be released.

Launchpad Janitor (janitor) wrote :
Download full text (9.6 KiB)

This bug was fixed in the package firefox - 3.6+nobinonly-0ubuntu1

---------------
firefox (3.6+nobinonly-0ubuntu1) lucid; urgency=low

  * New upstream release v3.6 (FIREFOX_3_6_RELEASE)
    + fix LP: #449744 - Firefox crashes when attempting to load Firebug 1.5
    + fix LP: #66015 - Duplicate spell checking dictionaries for every entry
    + fix LP: #132938 - tooltips dont work in sidebar
    + fix LP: #195698 - Password asked separately for each tab that requires it
                        (proxy)
    + fix LP: #239462 - tooltips disappear too fast
    + fix LP: #385816 - Resize corner grab stays visible after maximize
    + fix LP: #429476 - firefox crash on javascript page
    + fix LP: #432876 - Icons missing in Firefox searchbox drop down list
    + fix LP: #486284 - maxlength on input box can be overriden by autocomplete
    + fix LP: #501393 - Integrate Firefox notifications with notify-osd bling

  [ H. Montoliu <email address hidden> ]
  * fix LP: #361052 - firefox apport hook fails to retrieve pluginreg.dat file
  * update debian/apport/firefox-3.6.py - removed unused code and minor refactoring.

  [ Fabien Tassin <email address hidden> ]
  * Update the location of the upsteam branch now that 3.6/Namoroka has its own
    branch, and trunk moved on to 3.7
    - update debian/mozclient/firefox-3.6.conf
  * Use Namoroka instead of Shiretoko as brand name and use it for snapshots.
    Name it Namoroka in the Preferred Application UI too
    - update debian/firefox-3.6-shiretoko.desktop => debian/firefox-3.6-namoroka.desktop
    - update debian/firefox-3.6.xml
    - update debian/rules
  * Target the 'default' branch instead of tip
    - add debian/moz-rev.sh
    - update debian/mozclient/firefox-3.6.conf
  * Add firefox 3.6 to the list of Preferred Applications in Gnome
    - add debian/firefox-3.6.xml
    - update debian/firefox-3.6-gnome-support.install
  * Add ${misc:Depends} to all non-transitional packages, make firefox-3.6-dbg
    depend on firefox-3.6 with the exact same version, move -dbg packges to
    priority extra and add firefox-3.6-gnome-support-dbg
    - update debian/control
  * Update diverged patches:
    - update debian/patches/browser_branding.patch
    - update debian/patches/firefox-profilename
    - update debian/patches/ubuntu_bookmarks.patch
    - update debian/patches/lp185622_system_path_default_browser.patch
    - update debian/patches/dont_depend_on_nspr_sources.patch

  [ Alexander Sack <email address hidden> ]
  * add libnotify-dev to build-depends
    - update debian/control
  * add libiw-dev to build-depends to fix build failure
    - update debian/control
  * until we move searchplugins to a separate package provided only by the current default
    firefox, we need to make firefox-3.6 replace all the older firefox binary packages:
    firefox-3.5, firefox-3.2, firefox-3.1, firefox-3.0
    - update debian/control
  * implement MIN_SYS_DEPS approach that does not use system xulrunner
    and only a minimal set of system dependencies.
    + drop patches not required anymore:
      - delete debian/patches/dont_depend_on_nspr_sources.patch
      - update debian/patches/series
    + update browser directory provider...

Read more...

Changed in firefox (Ubuntu):
status: Triaged → Fix Released
Micah Gersten (micahg) wrote :

Thanks to confiq for pointing out this would be useful here too:

You can get Firefox 3.6 which fixes the issue from:
https://launchpad.net/~mozillateam/+archive/firefox-stable

Keep in mind not all addons have necessarily been made compatible.

The fonts issue is being addressed in bug 512615.

Btw, debugging with NetBeans (xdebug) also stopped working after I upgraded to the 1.5 version of Firebug (which also caused the crash(es) everybody is reporting). Downgrading to 1.4.5 has now fixed both Firebug *and* debugging with xdebug from NetBeans.
How are these related?

Anyway, not sure if this information is useful but it's at least a data point.

ioanbsu (ioanbsu1) wrote :

No, I was debugging with Firebug.
After adding repository that is in this link
https://launchpad.net/~mozillateam/+archive/firefox-stable and
updating FF everything started working fine.

Thanks.

On Wed, Jan 27, 2010 at 1:29 PM, jarlostensen
<email address hidden> wrote:
> Btw, debugging with NetBeans (xdebug) also stopped working after I upgraded to the 1.5 version of Firebug (which also caused the crash(es) everybody is reporting). Downgrading to 1.4.5 has now fixed both Firebug *and* debugging with xdebug from NetBeans.
> How are these related?
>
> Anyway, not sure if this information is useful but it's at least a data
> point.
>
> --
> Firefox crashes when attempting to load Firebug 1.5 alphas
> https://bugs.launchpad.net/bugs/449744
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in The Mozilla Firefox Browser: Fix Released
> Status in Mozilla Firefox 3.5 series: Fix Committed
> Status in Mozilla Firefox 3.6 series: Fix Released
> Status in “firefox” package in Ubuntu: Fix Released
> Status in “firefox-3.5” package in Ubuntu: Triaged
> Status in “iceweasel” package in Debian: Fix Released
>
> Bug description:
> Binary package hint: firefox
>
> I am trying to use alpha versions for the latest Firebug, 1.5. These can be retrieved from:
>
> http://getfirebug.com/releases/firebug/1.5X/
>
> I went back several versions and found one that works, so there is some regression in Firebug itself causing the browser to crash when Firebug 1.5 is even installed (not even operating), however they refuse to work with me since the version shipping with Ubuntu has no crash reporter and thus no way to determine what exactly is causing the crash.
>
> I am happy to provide any information helping me to reach a result. I am using Kubuntu Karmic 64-bit and really don't want to go through the annoyance of installing 32-bit Firefox with 32-bit flash and all of that. I have 32-bit firefox without flash running and Firebug 1.5 does indeed work perfectly fine in there, so there is some specific problem with Ubuntu builds of Firefox 3.5.3 causing this issue.
>
> Please tell me what data I can provide!
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/firefox/+bug/449744/+subscribe
>

ioanbsu (ioanbsu1) wrote :

Haha. Updating to 3.6 fixed the script debugging issue in Firebug but
I've met other one. There is no GWT development mode plugin for FF 3.6
and I'm java developer and I do use GWT:(

On Wed, Jan 27, 2010 at 1:29 PM, jarlostensen
<email address hidden> wrote:
> Btw, debugging with NetBeans (xdebug) also stopped working after I upgraded to the 1.5 version of Firebug (which also caused the crash(es) everybody is reporting). Downgrading to 1.4.5 has now fixed both Firebug *and* debugging with xdebug from NetBeans.
> How are these related?
>
> Anyway, not sure if this information is useful but it's at least a data
> point.
>
> --
> Firefox crashes when attempting to load Firebug 1.5 alphas
> https://bugs.launchpad.net/bugs/449744
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in The Mozilla Firefox Browser: Fix Released
> Status in Mozilla Firefox 3.5 series: Fix Committed
> Status in Mozilla Firefox 3.6 series: Fix Released
> Status in “firefox” package in Ubuntu: Fix Released
> Status in “firefox-3.5” package in Ubuntu: Triaged
> Status in “iceweasel” package in Debian: Fix Released
>
> Bug description:
> Binary package hint: firefox
>
> I am trying to use alpha versions for the latest Firebug, 1.5. These can be retrieved from:
>
> http://getfirebug.com/releases/firebug/1.5X/
>
> I went back several versions and found one that works, so there is some regression in Firebug itself causing the browser to crash when Firebug 1.5 is even installed (not even operating), however they refuse to work with me since the version shipping with Ubuntu has no crash reporter and thus no way to determine what exactly is causing the crash.
>
> I am happy to provide any information helping me to reach a result. I am using Kubuntu Karmic 64-bit and really don't want to go through the annoyance of installing 32-bit Firefox with 32-bit flash and all of that. I have 32-bit firefox without flash running and Firebug 1.5 does indeed work perfectly fine in there, so there is some specific problem with Ubuntu builds of Firefox 3.5.3 causing this issue.
>
> Please tell me what data I can provide!
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/firefox/+bug/449744/+subscribe
>

@ioanbsu

Please contact the author of the plugin from addons.mozilla.org

On 01/27/2010 12:14 PM, ioanbsu wrote:
> Haha. Updating to 3.6 fixed the script debugging issue in Firebug but
> I've met other one. There is no GWT development mode plugin for FF 3.6
> and I'm java developer and I do use GWT:(
>
>

Ok, Thank You very much.

On Wed, Jan 27, 2010 at 9:32 PM, Micah Gersten
<email address hidden> wrote:
> @ioanbsu
>
> Please contact the author of the plugin from addons.mozilla.org
>
> On 01/27/2010 12:14 PM, ioanbsu wrote:
>> Haha. Updating to 3.6 fixed the script debugging issue in Firebug but
>> I've met other one. There is no GWT development mode plugin for FF 3.6
>> and I'm java developer and I do  use GWT:(
>>
>>
>
> --
> Firefox crashes when attempting to load Firebug 1.5 alphas
> https://bugs.launchpad.net/bugs/449744
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in The Mozilla Firefox Browser: Fix Released
> Status in Mozilla Firefox 3.5 series: Fix Committed
> Status in Mozilla Firefox 3.6 series: Fix Released
> Status in “firefox” package in Ubuntu: Fix Released
> Status in “firefox-3.5” package in Ubuntu: Triaged
> Status in “iceweasel” package in Debian: Fix Released
>
> Bug description:
> Binary package hint: firefox
>
> I am trying to use alpha versions for the latest Firebug, 1.5. These can be retrieved from:
>
> http://getfirebug.com/releases/firebug/1.5X/
>
> I went back several versions and found one that works, so there is some regression in Firebug itself causing the browser to crash when Firebug 1.5 is even installed (not even operating), however they refuse to work with me since the version shipping with Ubuntu has no crash reporter and thus no way to determine what exactly is causing the crash.
>
> I am happy to provide any information helping me to reach a result. I am using Kubuntu Karmic 64-bit and really don't want to go through the annoyance of installing 32-bit Firefox with 32-bit flash and all of that. I have 32-bit firefox without flash running and Firebug 1.5 does indeed work perfectly fine in there, so there is some specific problem with Ubuntu builds of Firefox 3.5.3 causing this issue.
>
> Please tell me what data I can provide!
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/firefox/+bug/449744/+subscribe
>

John Vivirito (gnomefreak) wrote :

On 01/26/10 16:41, confiq wrote:
> *** This bug is a duplicate of bug 449744 ***
> https://bugs.launchpad.net/bugs/449744
>
> Grrrrr!!!!
> First of all, you shoud not post here cause it's duplicated bug.
> And with firefox-stable PPA i had problem that my fonts are different (ugly) and 2 of my addons don't work. I guess it's not that stable :(
>
 Not all plugins have been fixed for firefox yet. If you are using our plugins they should work. Since Mozilla is changing how they release updates there is alot of plugin work that needs to be addressed.
Also you are correct comments should be added to other bug not this one. I will add this comment to master bug.

nqzero (nqzero) wrote :

appalling ... you had a known incompatibility that initially involved alpha software; you did nothing for 3 months; your custom build of firefox was set to automatically upgrade extensions; firebug 1.5 went gold and your custom build automatically upgraded; all hell breaks out; and ubuntu blames everyone else

awesome. yes, it's not ubuntu's fault that firebug 1.5 seg faults firefox. it is ubuntu's fault for making a release that was known to be doomed for anyone using firebug installed in the ubuntu-approved way. quality control FTL. and serves you right for ignoring the initial report

terrible

Actually, it's not Ubuntu's fault. Anyone using the archive version of
Firebug isn't affected, which is technically the Ubuntu approved way.
Extensions installed not through the archive are not technically our
responsibility, although we try to help where we can.

On 01/28/2010 01:28 PM, lytles wrote:
> appalling ... you had a known incompatibility that initially involved
> alpha software; you did nothing for 3 months; your custom build of
> firefox was set to automatically upgrade extensions; firebug 1.5 went
> gold and your custom build automatically upgraded; all hell breaks out;
> and ubuntu blames everyone else
>
> awesome. yes, it's not ubuntu's fault that firebug 1.5 seg faults
> firefox. it is ubuntu's fault for making a release that was known to be
> doomed for anyone using firebug installed in the ubuntu-approved way.
> quality control FTL. and serves you right for ignoring the initial
> report
>
> terrible
>

nqzero (nqzero) wrote :

not technically your responsibility ? wtf ... it's a feature of the software, of your own custom build. click the menu, find addons, install. how is ubuntu _not_ responsible for that ? does the user have any way of knowing that anything is the "Ubuntu approved way" ? no

if you provided a browser, and were up front about it's limitations, made it clear that it wasn't firefox, then you wouldn't have a responsibility to fix it. but you didn't do that - you made a custom build and packaged it as _firefox_. not a-browser-derived-from-firefox-that-might-work, not ubuntus-broken-browser. no. firefox. and as such it should work like firefox. if something is broken that works in the real firefox, it _is_ your responsibility

rather than acknowledge that, you're blaming firefox. or firebug. or the user
beautiful

can i understand you not fixing the problem ? yes
can i understand you not taking responsibility for the problem ? no

Arnaud Soyez (weboide) wrote :

We all know that firebug not working is really annoying, that's why this bug has been reported. But as said before, the bug is fixed upstream and fixed in Lucid, and just needs to ported to Karmic. The faster we get this done, the faster it'll be fixed in Karmic.

JD (jdsmith) wrote :

I think you all should be aware of a related issue, especially for developers like me who are having a hard time finding the cause for this:

Firefox 3.6 crashes whenever a Flash document is loaded via certain Javascript with Firebug 1.5 enabled on Windows XP. When I disable Firebug, the problem disappears.

Example page: http://www.gfa.org/manja and click on any video link on the right.

It appears to be a problem just with Firebug 1.5, because the problem disappeared when I upgraded to today's "bleeding edge" Firebug 1.6 alpha.

Micah Gersten (micahg) wrote :

@JD

Please file a new bug for that if it occurs on Ubuntu as well as XP.

Thanks.

On 01/29/2010 10:17 AM, JD wrote:
> I think you all should be aware of a related issue, especially for
> developers like me who are having a hard time finding the cause for
> this:
>
> Firefox 3.6 crashes whenever a Flash document is loaded via certain
> Javascript with Firebug 1.5 enabled on Windows XP. When I disable
> Firebug, the problem disappears.
>
> Example page: http://www.gfa.org/manja and click on any video link on
> the right.
>
> It appears to be a problem just with Firebug 1.5, because the problem
> disappeared when I upgraded to today's "bleeding edge" Firebug 1.6
> alpha.
>
>

Tomasz Przybysz (topr) wrote :

I have this issue too.

When I'm starting javascript console in firebug, firefox crashes.

I tried running from console to check for any error message. There it is:
(firefox:11366): GLib-WARNING **: g_set_prgname() called multiple times
Segmentation fault

Warning shows up on firefox start, and fault when firefox crashes.

I'm on x64 Karmic using Firefox 3.5.7

Pavol Klačanský (pavolzetor) wrote :

same problem here, it is crazy

norbert (globtroter) wrote :

same here

shockdiode (shockdiode) wrote :

Just chiming in to say that I just dist-upgraded to karmic 64 bit and have this issue as well. As a web developer, this is seriously inconvenient. Hopefully this gets resolved soon.

Thanks

Yuval (yuvilio) wrote :

I confirm on my Karmic 64 bit core 2 duo laptop that firefox 3.6 does not crash with firebug 1.5. I installed it both as a binary (from getfirefox.com) and from the "firefox-stable" ppa referenced by ioanbsu's comment above (Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.2) Gecko/20100123 Ubuntu/9.10 (karmic) Firefox/3.6).

Both played nice with firebug 1.5 and a dependent on it (FirePHP in my case). That'll hold me over until the official Ubuntu channels catch up. Keep in mind that not all plugins are 3.6 compatible yet, as Micah Gersten pointed out. Thanks guys.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox-3.5 - 3.5.8+build1+nobinonly-0ubuntu0.9.10.1

---------------
firefox-3.5 (3.5.8+build1+nobinonly-0ubuntu0.9.10.1) karmic-security; urgency=low

  * New upstream release v3.5.8 (FIREFOX_3_5_8_BUILD1)
    - see USN-896-1
    - fix LP: #432876 - Icons missing in Firefox searchbox drop down list
    - fix LP: #449744 - Firefox crashes when attempting to load Firebug 1.5
 -- Micah Gersten <email address hidden> Tue, 09 Feb 2010 22:31:06 -0600

Changed in firefox-3.5 (Ubuntu):
status: Triaged → Fix Released
Sir_Brizz (bj-cardon) wrote :

So it was marked as Fix Released, but the firefox package available in 9.10 repos is still 3.5.7 with no available updates.

Micah Gersten (micahg) wrote :

3.5.8 was released today, it'll take a little but for the updates to be
mirrored

On 02/17/2010 05:26 PM, Sir_Brizz wrote:
> So it was marked as Fix Released, but the firefox package available in
> 9.10 repos is still 3.5.7 with no available updates.
>
>

Micah Gersten (micahg) wrote :

That should say bit...a little bit...

On 02/17/2010 05:45 PM, Micah Gersten wrote:
> 3.5.8 was released today, it'll take a little but for the updates to be
> mirrored
>
> On 02/17/2010 05:26 PM, Sir_Brizz wrote:
>
>> So it was marked as Fix Released, but the firefox package available in
>> 9.10 repos is still 3.5.7 with no available updates.
>>
>>
>>
>

Sir_Brizz (bj-cardon) wrote :

Just showed up, thanks! :D

Oded Arbel (oded-geek) wrote :

With Firefox 3.5.8 which was just updated on my system, Firebug 1.5 no longer causes crashes.

shockdiode (shockdiode) wrote :

Confirmed, seems to work just fine here now.

Thanks very much for pushing out this update! It makes my life a little easier.

shockdiode (shockdiode) wrote :

Is anyone else here seeing way way higher cpu usage by firefox all of the sudden with this update? I know that's a separate bug, but man, firefox is really slamming my computer pretty frequently and it was not before. It's just since I applied the update to firefox today...

Changed in firefox:
importance: Unknown → Low
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.